Skip to main content
POST
Create rooms for a waas mpc ceremony without a walletId

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

environmentId
string
required

ID of the environment

Required string length: 36
Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Example:

"95b11417-f18f-457f-8804-68e361f9164f"

Body

application/json

Create Rooms Without WalletId Request

roomType
enum<string>
required
Available options:
threshold,
full
thresholdSignatureScheme
enum<string>
required
Available options:
TWO_OF_TWO,
TWO_OF_THREE,
THREE_OF_FIVE
roomCount
integer
default:5

Number of rooms to create

Required range: 1 <= x <= 20

Response

Successfully created rooms for a waas mpc ceremony

roomIds
string[]
required
Last modified on January 28, 2026